Package org.springframework.cglib.beans

# Class BeanCopier

java.lang.Object
org.springframework.cglib.beans.BeanCopier

public abstract class BeanCopier extends Object

Author:
  Chris Nokleberg

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`BeanCopier.Generator`

## Constructor Summary

Constructors
Constructor
Description
`BeanCopier()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`copy(Object from, Object to, Converter converter)`
`static BeanCopier`
`create(Class source, Class target, boolean useConverter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BeanCopier

public BeanCopier()

## Method Details

### create

public static BeanCopier create(Class source, Class target, boolean useConverter)

### copy

public abstract void copy(Object from, Object to, Converter converter)